import 'package:sis_flutter/data/api_response.dart';
import "package:sis_flutter/models/tarea_model.dart";
import 'package:sis_flutter/services/base_service.dart';

class TareaService extends BaseService {
  final endpoint = "https://sis.api.edesarrollos.info/v1/tarea";

  Future<ApiResponse> postTarea(Tarea tarea) async {
    var response = await post(endpoint,
        withAuth: false,
        body: tarea.toJson(),
        headers: {'Content-Type': 'application/json'});

    return ApiResponse(response);
  }
}
